Skip to content
Last updated

Authentication

The signature calculation is abnormal. We recommend referring to the technical documentation to check your signature calculation method (paying particular attention to the parameter order, client_id, and client_secret, etc.). The documentation also provides a ready-to-run signature calculation method example (Java version). Finally, here is a signature calculation verification tool we provide that you can use to help verify your calculation method (https://toolset.mynocode.host/).

2.error response message:"This client_id has no authorized Merchant. Please contact Merchant authorize"

You must complete authorization at least one merchant before you can successfully exchange tokens for your application;

3.error response message:"The access token has expired, please reauthorize"

You used an expired token to call the endpoint. Please call the POST /oauth/token endpoint again to refresh the token.

4.error response message:"The access token is invalid, please use a valid access token"

You used an invalid token. Please check if the token and client_id you used match.